 
%\usepackage[usenames,dvipsnames]{xcolor}
%\PassOptionsToPackage{usenames,dvipsnames}{xcolor}

%\usepackage{eurosym}
%\usepackage{eulervm}
\usepackage{enumitem}
\usepackage{latexsym}
\usepackage{multicol}
\usepackage{setspace}
%\usepackage{lmodern}
\date{} 
\usepackage{tikz}
\usetikzlibrary{calc,shadings}
\usepackage[scaled=0.85]{beramono}
\usepackage{gillius2}

%\usepackage[usenames, dvipsnames]{color}
\definecolor{Sectioncolour2}{RGB}{210,180,180} 
\definecolor{Sectioncolour1}{RGB}{179,100,100} 
\definecolor{Sectioncolour}{RGB}{159,29,35}  

% use \sloppy to allow word spacing to adjust so
% we don't overflow the right margin (too often)
\sloppy

% background

%\usepackage{gradientframe}

%\usepackage[pages=all,color=Sectioncolour,angle=90,hshift=-5cm,scale=1.5,contents={Nucleosynthesis in AGB Stars}]{background} 
   
%\usepackage{framed}
%\colorlet{shadecolor}{gray!25}   % you may try 'blue' here
%\renewenvironment{leftbar}{%
 % \def\FrameCommand{%
%{%
%\textcolor{Sectioncolour2}{\vrule width 2pt}%
%\textcolor{Sectioncolour1}{\vrule width 2pt}%
%\textcolor{Sectioncolour}{\vrule width 2pt}%
%\textcolor{Sectioncolour1}{\vrule width 2pt}%
%\textcolor{Sectioncolour2}{\vrule width 2pt}%
%}\hspace{10pt}}%
%  \MakeFramed {\advance\hsize-\width \FrameRestore}}%
%{\endMakeFramed}


%\rule{0.4pt}{\textheight}

% try this
%http://www.ctan.org/tex-archive/macros/latex/contrib/eso-pic/
%http://stackoverflow.com/questions/2986240/latex-how-to-make-a-fullpage-vertical-rule-on-every-page

\usepackage{eso-pic}
\usepackage{graphicx}
%\newcommand\BackgroundPic{} 

\newcommand\BackgroundPic{%
\put(0,0){%
\parbox[b][\paperheight]{\paperwidth}{%
\vfill
\centering
\includegraphics[width=\paperwidth,height=\paperheight,%
keepaspectratio]{images/falk2-low-lolores.eps}%
\vfill
}}}

% remove background image (for speed)
%\renewcommand\BackgroundPic{}

% redefine sections to use red colour
\usepackage{titlesec}
\titleformat{name=\section}% command to alter
{\color{Sectioncolour}\normalfont\itshape\bfseries\large\setstretch{0.5}}%format
{\thesection}%label
{1em}%sep
{}%before code
{}%after code
 
% redefine subsections to use red colour 
\titleformat{name=\subsection}% command to alter
{\color{Sectioncolour}\normalfont\itshape\bfseries\large\setstretch{0.5}}%format
{\thesubsection}%label
{1em}%sep
{}%before code
{}%after code

\def\binarycwww{https://binary_c.gitlab.io/binary_c.html}
\def\binaryccgi{http://personal.ph.surrey.ac.uk/~ri0005/cgi-bin/binary5.cgi}
%\def\libbacktracewww{https://github.com/ianlancetaylor/libbacktrace}
\newcommand{\libbacktracewww}{https://github.com/ianlancetaylor/libbacktrace}


\def\aj{AJ}                   % Astronomical Journal
\def\araa{ARA\&A}             % Annual Review of Astron and Astrophys
\def\apj{ApJ}                 % Astrophysical Journal
\def\apjl{ApJ}                % Astrophysical Journal, Letters
\def\apjs{ApJS}               % Astrophysical Journal, Supplement
\def\apss{Ap\&SS}             % Astrophysics and Space Science
\def\aap{A\&A}                % Astronomy and Astrophysics
\def\aapr{A\&A~Rev.}          % Astronomy and Astrophysics Reviews
\def\aaps{A\&AS}              % Astronomy and Astrophysics, Supplement
\def\mnras{MNRAS}             % Monthly Notices of the RAS
\def\pra{Phys.~Rev.~A}        % Physical Review A: General Physics
\def\prl{Phys.~Rev.~Lett.}    % Physical Review Letters
\def\pasa{PASA}               % Publications of the ASP
\def\pasp{PASP}               % Publications of the ASP
\def\pasj{PASJ}               % Publications of the ASJ
\def\nat{Nature}              % Nature
\def\aplett{Astrophys.~Lett.} % Astrophysics Letters 
\def\physrep{Phys.~Rep.}   % Physics Reports%
\def\na{NewA}   % new astronomy%

\usepackage{natbibspacing} 
\setlength{\bibspacing}{0mm}
 
% header
\usepackage{fancyhdr} 
\pagestyle{fancy}
\renewcommand{\headrulewidth}{0pt}
\fancyhead[LE,RO]{\color{Sectioncolour}\normalfont\itshape\bfseries{}}           % page number in "outer" position of footer line
\fancyhead[RE,LO]{\color{Sectioncolour}\rightmark} % other info in "inner" position of footer line

\raggedbottom

%%%%%%%%%%% bash in listings %%%%%%%%%%%%%%%%%%%
\usepackage{listings}

% define custom macro that expands to the language name
% (for comparison purposes)
\newcommand\langname@bash{}
\def\langname@bash{bash}

% define custom prompt
\newcommand\prompt@bash{\$\ }

% define a macro (initially empty) and insert it at the beginning
% of every paragraph
\newcommand\addedToEveryPar@bash{}
\lst@AddToHook{EveryPar}{\addedToEveryPar@bash}

% redefine the macro by the custom prompt, but only if the language in use
% be `bash'
\lst@AddToHook{PreInit}{%
  \ifx\lst@language\langname@bash%
    \let\addedToEveryPar@bash\prompt@bash%
  \fi
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand\commandwrapper[1]{{\emph{#1}}}
\newcommand\filewrapper[1]{{\emph{#1}}}
\newcommand\sourcefilewrapper[1]{{\emph{#1}}}
\newcommand\headerfilewrapper[1]{{\emph{#1}}}
\newcommand\Perlscriptwrapper[1]{{\emph{#1}}}
\newcommand\Perlmodulewrapper[1]{{\tt{#1}}}
\newcommand\Perlcodewrapper[1]{{\tt{#1}}}
\newcommand\bashscriptwrapper[1]{{\emph{#1}}}
\newcommand\OSwrapper[1]{{\emph{#1}}}
\newcommand\Cstructwrapper[1]{{\tt{#1}}}
\newcommand\Cvarwrapper[1]{{\tt{#1}}}
\newcommand\Cmacrowrapper[1]{{\tt{#1}}}
\newcommand\Cflagswrapper[1]{{\tt{#1}}}
\newcommand\Cfunctionwrapper[1]{{\tt{#1}}}
\newcommand\Fortranfunctionwrapper[1]{{\tt{#1}}}
\newcommand\ProgrammingLanguagewrapper[1]{{\emph{#1}}}
\newcommand\ScriptingLanguagewrapper[1]{{\emph{#1}}}
\newcommand\Softwarewrapper[1]{{\emph{#1}}}
\newcommand\Argswrapper[1]{{\tt{#1}}}
\newcommand\Envvarwrapper[1]{{\tt{#1}}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%\newfontfamily\mylistingsfont{Droid Sans Mono}

% background colour of code listing sections
\definecolor{codeoffwhite}{rgb}{0.97, 0.97, 1.0}

